Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class JifLocalInstance_c

    java.lang.Object
      polyglot.types.TypeObject_c
          polyglot.types.VarInstance_c
              polyglot.types.LocalInstance_c
                  jif.types.JifLocalInstance_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JifLocalInstance, JifVarInstance, polyglot.types.Declaration, polyglot.types.LocalInstance, polyglot.types.TypeObject, polyglot.types.VarInstance, polyglot.util.Copy

    public class JifLocalInstance_c

extends polyglot.types.LocalInstance_c
implements JifLocalInstance

An implementation of the `JifLocalInstance` interface.

See Also:
  Serialized Form

Field Summary
`protected Label` | `label`

Fields inherited from class polyglot.types.VarInstance_c
`constantValue, constantValueSet, decl, flags, isConstant, name, type`

Fields inherited from class polyglot.types.TypeObject_c
`position, ts`

Constructor Summary
`JifLocalInstance_c(JifTypeSystem ts, polyglot.util.Position pos, polyglot.types.Flags flags, polyglot.types.Type type, java.lang.String name)`

Method Summary
`boolean` | `isCanonical()`
`Label` | `label()`
`void` | `setLabel(Label L)`
`void` | `subst(VarMap bounds)`
`java.lang.String` | `toString()`

Methods inherited from class polyglot.types.LocalInstance_c
`constantValue, equalsImpl, flags, name, notConstant, orig, type`

Methods inherited from class polyglot.types.VarInstance_c
`constantValue, constantValueSet, declaration, flags, hashCode, isConstant, name, setConstantValue, setDeclaration, setFlags, setName, setNotConstant, setType, type`

Methods inherited from class polyglot.types.TypeObject_c
`copy, equals, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.types.LocalInstance
`constantValue, flags, name, notConstant, orig, type`

Methods inherited from interface polyglot.types.VarInstance
`constantValue, constantValueSet, flags, isConstant, name, setConstantValue, setFlags, setName, setNotConstant, setType, type`

Methods inherited from interface polyglot.types.Declaration
`declaration, setDeclaration`

Methods inherited from interface polyglot.types.VarInstance
`constantValue, constantValueSet, flags, isConstant, name, setConstantValue, setFlags, setName, setNotConstant, setType, type`

Methods inherited from interface polyglot.types.Declaration
`declaration, setDeclaration`

Field Detail

### label

    protected Label label

Constructor Detail

### JifLocalInstance_c

    public JifLocalInstance_c(JifTypeSystem ts,
                              polyglot.util.Position pos,
                              polyglot.types.Flags flags,
                              polyglot.types.Type type,
                              java.lang.String name)

Method Detail

### subst

    public void subst(VarMap bounds)

  Specified by:
    `subst` in interface `JifVarInstance`

### isCanonical

    public boolean isCanonical()

  Specified by:
    `isCanonical` in interface `polyglot.types.TypeObject`
  Overrides:
    `isCanonical` in class `polyglot.types.LocalInstance_c`

### label

    public Label label()

  Specified by:
    `label` in interface `JifVarInstance`

### setLabel

    public void setLabel(Label L)

  Specified by:
    `setLabel` in interface `JifVarInstance`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `polyglot.types.LocalInstance_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD